#ifndef MYENUM_H
#define MYENUM_H

#include <QObject>
#include <QFlags>
#include <QDebug>

class MyEnum : public QObject
 {
    Q_OBJECT
 public:
	explicit MyEnum(QObject *parent = Q_NULLPTR) :QObject(parent) {}
	~MyEnum() {}

	 enum Option1Flag {
		 Option1A = 1, // 000001
		 Option1B = 2, // 000010
		 Option1C = 4, // 000100
		 Option1D = 8, // 001000
		 Option1E = 16, // 010000
		 Option1F = 32, // 100000
		 // … some more options with value which is a power of two
         Option1AD = Option1A | Option1D,
	 };
     Q_DECLARE_FLAGS(Option1, Option1Flag)
//     // Q_DECLARE_OPERATORS_FOR_FLAGS(Option1)
     Q_FLAG(Option1)
     // Q_ENUM(Option1Flag)

public slots:
     void setOption(Option1 opt);
 };

Q_DECLARE_OPERATORS_FOR_FLAGS(MyEnum::Option1)
Q_DECLARE_METATYPE(MyEnum::Option1)
Q_DECLARE_METATYPE(MyEnum::Option1Flag)

#endif // MYENUM_H
