import QtQuick 2.6
import QtQuick.Window 2.2

import example 1.0

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Component.onCompleted: {
        console.log("==== option1 ====")
        var opt1 = MyEnum.Option1A | MyEnum.Option1D // 0x09
        mydata.opt1 = opt1;  // calling mydata.setOpt1() and working fine and output QFlags<MyEnum::Option1Flag>(Option1AD)
        mydata.setOpt1(opt1); // calling mydata.setOpt1() and not working and output QFlags<MyEnum::Option1Flag>()
        mydata.setOption1(1, opt1); // similar problem with not passing class QFlags<enum MyEnum::Option1Flag> as argument properly

    //    mydata.setOption1i(1, opt1);

        console.log("==== option2 ====");
        var opt2 = MyData.Option2A | MyData.Option2D
        mydata.setOption2(2, opt2);

//  Result:
//        qml: ==== option1 ====
//        void __cdecl MyData::setOpt1(class QFlags<enum MyEnum::Option1Flag>) QFlags<MyEnum::Option1Flag>(Option1AD)
//        void __cdecl MyData::setOpt1(class QFlags<enum MyEnum::Option1Flag>) QFlags<MyEnum::Option1Flag>()
//        void MyData::setOption1(int, MyEnum::Option1) 1 QFlags<MyEnum::Option1>()
//        qml: ==== option2 ====
//        void MyData::setOption2(int, MyData::Option2) 2 QFlags<MyData::Option2>(Option2AD)
    }
}
